﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Highway.Assemble.Common
{
    public class ApiResponse<T>
    {
        /// <summary>
        /// 状态码（如 200 成功，400 失败，500 错误）
        /// </summary>
        public int Code { get; set; }

        /// <summary>
        /// 消息（如 "操作成功"、"参数错误"）
        /// </summary>
        public string Msg { get; set; }

        /// <summary>
        /// 返回数据
        /// </summary>
        public T Data { get; set; }
    }
}
