﻿using System;

namespace Highway.Assemble.common
{
    /// <summary>
    /// 设备配置
    /// </summary>
    public class Equip : BaseObject
    {
        /// <summary>
        /// 设备编号
        /// </summary>
        public string deviceId;

        /// <summary>
        /// 设备名称
        /// </summary>
        public string deviceName;

        /// <summary>
        /// 连接方式序号
        /// </summary>
        public string connectmode;

        /// <summary>
        /// 连接方式名称
        /// </summary>
        public string connectModeName;

        /// <summary>
        /// 连接字符串
        /// </summary>
        public string connectstr;

        /// <summary>
        /// 设备类型
        /// </summary>
        public string deviceType;

        /// <summary>
        /// 设备类型说明
        /// </summary>
        public string deviceTypeRemark;

        /// <summary>
        /// 所属汇集软件ID
        /// </summary>
        public string collectid;

        /// <summary>
        /// 所属适配软件名称
        /// </summary>
        public string name;

        /// <summary>
        /// 安装位置
        /// </summary>
        public string addr;

        /// <summary>
        /// 记录时间
        /// </summary>
        public DateTime recordtime;

        /// <summary>
        /// 是否可用
        /// </summary>
        public int deleteflag;



    }

}
