﻿using System;
namespace Highway.Assemble.common
{
    /// <summary>
    /// 传感器
    /// </summary>
    public class Sensor : BaseObject
    {
        /// <summary>
        /// 传感器编号
        /// </summary>
        public string sensorid;

        /// <summary>
        /// 合并编号
        /// </summary>
        public string combineid;

        /// <summary>
        /// 传感器名称
        /// </summary>
        public string sensorName;

        /// <summary>
        /// 传感器序号
        /// </summary>
        public string sensorser;

        /// <summary>
        /// 传感器类型编号
        /// </summary>
        public string sensortypeid;

        /// <summary>
        /// 传感器类型名称
        /// </summary>
        public string sensorTypeName;

        /// <summary>
        /// 所属设备编号
        /// </summary>
        public string deviceId;

        /// <summary>
        /// 所属设备名称
        /// </summary>
        public string deviceName;

        /// <summary>
        /// 读取时间间隔
        /// </summary>
        public string readInterval;

        /// <summary>
        /// 是否允许多组上传
        /// </summary>
        public string multData;

        /// <summary>
        /// 超时时间
        /// </summary>
        public string timeout;

        /// <summary>
        /// 是否立即返回
        /// </summary>
        public string returnImm;

        /// <summary>
        /// 数据类型
        /// </summary>
        public string dataType;

        /// <summary>
        /// 记录时间
        /// </summary>
        public DateTime recordTime;

        /// <summary>
        /// 是否可用
        /// </summary>
        public string deleteFlag;

        /// <summary>
        /// 是否回调适配器  1是 2否
        /// </summary>
        public int CallAdapter;

        /// <summary>
        /// 回调适配器编号
        /// </summary>
        public string CallAdapterid;

        /// <summary>
        ///  回调合并编号
        /// </summary>
        public string CallCombineID;
        /// <summary>
        /// 回调延时时间
        /// </summary>
        public int DelayTime;
        /// <summary>
        /// 所属MESID
        /// </summary>
        public string mesID;
        /// <summary>
        /// 重读次数
        /// </summary>
        public int ReadCounts;
        /// <summary>
        /// 循环等待时间
        /// </summary>
        public int Readinterval;

        public System.Threading.Timer m_Timer = null;   //根据读取时间间隔设置的定时器
    }
}
